## org.codehaus.groovy.runtime.metaclass
Class MetaClassRegistryImpl

A registry of MetaClass instances which caches introspection & reflection information and allows methods to be dynamically added to existing classes at runtime

author:
  James Strachan

author:
  John Wilson

author:
  Jochen Theodorou

author:
  Graeme Rocher

author:
  Alex Tkachman

version:
  $Revision: 10896 $

Field Summary
`int` | `constantMetaClassCount`
`ConcurrentReaderHashMap` | `constantMetaClasses`
`FastArray` | `instanceMethods`
`MemoryAwareConcurrentReadMap` | `loaderMap`
`FastArray` | `staticMethods`
`boolean` | `useAccessible`
`Integer` | `version`
`MemoryAwareConcurrentReadMap` | `weakMetaClasses`

Constructor Summary
`MetaClassRegistryImpl()`

Method Summary

Constructor Detail

### MetaClassRegistryImpl

    MetaClassRegistryImpl()

Method Detail